Skip to main content

Upload Media Resource

API Description

Use the upload service to provide an image or pdf file. After uploading and obtaining your unique Apple-generated ID, you may then use applicable services to add or update a resource with the provided ID.

Request

URI Parameters

NameInput
orgId
REQUIRED
documentType
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/{documentType}/upload
Path Example - Images
POST {url}/api/v1/orgs/9467895078742654934/images/upload
Path Example - Documents
POST {url}/api/v1/orgs/9467895078742654934/documents/upload

Request Headers

NameInput
Authorization
REQUIRED
content-type
REQUIRED
  • content-type MUST be multipart/form-data
  • Each part MUST be separated by a delimiter
  • Each part MUST possess a Content-Disposition header:
    • First directive MUST be form-data
    • Header MUST include name="file" directive
    • Header MUST include filename directive
    • Content-Type MUST be image/heic, image/jpeg, image/png, or application/pdf
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: multipart/form-data; charset=utf-8; boundary="boundary"

Request Body

Example Request Body One
Image File
--boundary
Content-Disposition: form-data; name="file"; filename="RED_BAY_COFFEE_BARISTA.jpeg"
Content-Type: image/jpeg

[JPEG DATA 1]
--boundary
Content-Disposition: form-data; name="file"; filename="RED_BAY_COFFEE_BARISTA.jpeg"
Content-Type: image/jpeg

[JPEG DATA 2]
--boundary
Example Request Body Two
PDF File
--boundary
Content-Disposition: form-data; name="file"; filename="my_pdf_document.pdf"
Content-Type: application/pdf
[PDF DATA 1]
--boundary
Content-Disposition: form-data; name="file"; filename="my_pdf_document.pdf"
Content-Type: application/pdf
[PDF DATA 2]
--boundary

Response

201 Created or Error

Response Headers

Name
apple-request-id
content-type
location
Example Response Headers
HTTP/1.1 201 Created
apple-request-id: fb2bffa2-dbbc-40b1-b27c-9fed4792d7fa
content-type: application/json
location: /api/v1/orgs/9467895078742654934/images/9467895078742654949/metadata

Response Body

NameTypeOutput
$.orgIdstring
REQUIRED
$.idstring
REQUIRED
$.createdDatedateTime
REQUIRED
$.updatedDatedateTime
REQUIRED
statestring
REQUIRED
filenamestring
REQUIRED
widthinteger
REQUIRED
heightinteger
REQUIRED
fileSizeinteger
REQUIRED
contentTypestring
REQUIRED
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"id": "8c3c5d08-29c8-4989-931a-adf8aad2f2ed",
"createdDate": "2026-05-24T00:18:57.315Z",
"updatedDate": "2026-05-24T00:18:57.315Z",
"state": "SUBMITTED",
"filename": "RED_BAY_COFFEE_BARISTA.jpeg",
"width": 200,
"height": 400,
"fileSize": 12,
"contentType": "image/jpeg"
}